• 카테고리

    질문 & 답변
  • 세부 분야

    프론트엔드

  • 해결 여부

    미해결

Apollo-Client 설치 에러

24.04.18 16:58 작성 24.04.18 17:40 수정 조회수 78

0

코드캠프 질문 2.JPG코드캠프 질문 2-2.JPG안녕하세요, 섹션 7 듣고 있습니다.

Apollo-Client를 설치하고 yarn dev 실행하니 저렇게 뜨네요.

해당 파일을 지우거나 해도 이번엔 그 파일이 없다는 이유로 에러가 뜹니다.

Node.modules랑 package.lock.json 삭제 후 재설치해도 똑같고요.

조속한 해결 부탁 드리겠습니다.

답변 1

답변을 작성해보세요.

0

인프런 AI 인턴님의 프로필

인프런 AI 인턴

2024.04.20

안녕하세요, 인프런 AI 인턴입니다.

이미지에 보이는 에러 내용과 설명을 바탕으로, 문제의 원인은 react 모듈이 프로젝트에 설치되어 있지 않거나 제대로 인식되지 않고 있는 것으로 보입니다. Apollo Client는 React 프로젝트에서 사용되는데, 해당 에러는 react 모듈을 찾을 수 없다는 것을 나타냅니다. reactreact-dom 패키지가 설치되어 있는지 확인하고, 설치되어 있지 않다면 설치해야 합니다. 다음 단계를 따라 해결할 수 있을 것입니다:

  1. 터미널을 열고 프로젝트 루트 디렉토리로 이동합니다.
  2. 다음 명령어를 실행하여 React와 ReactDOM을 설치합니다:
yarn add react react-dom

또는 npm을 사용하는 경우:

npm install react react-dom
  1. 설치 후, 프로젝트를 다시 빌드하여 문제가 해결되었는지 확인합니다.

이 단계를 수행한 후에도 문제가 지속된다면, package.json 파일을 확인하여 dependencies 섹션에 reactreact-dom이 올바르게 나열되어 있는지 확인해보세요. 이러한 패키지들이 올바르게 설치되어 있음에도 불구하고 문제가 계속된다면, 설정 파일이나 다른 의존성에 문제가 있을 수 있으니 추가적인 에러 로그나 설정 파일을 확인할 필요가 있습니다.

문제 해결에 도움이 되었기를 바랍니다. 추가적인 문제가 있으시면 문의해주세요.

edo020424님의 프로필

edo020424

질문자

2024.04.22

imagereact와 react-dom 설치하고 실행했더니 이번엔 이런 화면이 뜹니다.